package webwisdom.pure;

import sun.applet.*;
import java.applet.*;
import java.util.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;
import java.awt.*;
import java.awt.peer.*;

class TangoAppletCloseListener extends WindowAdapter
{
  AppletStarter as;
  public TangoAppletCloseListener(AppletStarter as)
    {
      this.as=as;
    }
  public void windowClosed(WindowEvent we)
    {
      as.quit();
    }
}

public class AppletStarter implements Runnable
{
  String s[];
  static int counter=0;
  static Object o=new Object();
  TangoAppletLoader tal;

  ThreadGroup thg;

  public synchronized Frame getFrame()
    {
      try
	{
	  while(tal==null)
	    wait(1000);
	}
      catch(Exception e)
	{
	  e.printStackTrace();
	}
      return tal;
    }
  
  public AppletStarter(String s[])
    {
      this.s=s;
      thg=new ThreadGroup(Tango.mainthg,"AppletThreadGroup:"+counter++);
      thg.setMaxPriority(Thread.currentThread().getPriority()-1);
      TangoEventQueue.registerThreadGroup(thg);
      Thread th=new Thread(thg,this);
      th.start();
    }
  
  public void run()
    {
      synchronized(this)
	{
	  try
	    {
	      URL url;
	      tal=new TangoAppletLoader();
	      notifyAll();
	      String apath=System.getProperty("user.dir").replace(File.separatorChar,'/')+"/";
	      if(s[0].indexOf(58)<=1)
		url=new URL("file","",-1,apath+s[0]);
	      else
		url=new URL(s[0]);
	      tal.init(url,this);
	    }
	  catch(Exception e)
	    {
	      e.printStackTrace();
	    }
	}
      synchronized(this)
	{
	  notifyAll();
	}
    }
  public void quit()
    {
      TangoEventQueue.closingApplet(thg);
      Tango.stop(thg);
    }
}


