/****************************************************************************
  $Id: TCrossListener.java,v 1.2 1998/07/22 17:17:21 toma Exp $
****************************************************************************/


package webwisdom.tango;


/**Interface for passing data between different sessions.*/
public interface TCrossListener
{


  /**This function is called everytime the crossSend() function
     with the name of this session is called in another session.
     The data arrives unchanged and in the same chunks as it was sent.
   *@param sender name of the session sending the data
   *@param data the data sent by a member of a different session
   *@see TAgent#crossSend*/
  public void crossReceive(String sender,byte data[]);


}// TCrossListener //////////////////////////////////////////////////////////

