// $Id: ObjectPipe.java,v 1.3 1998/09/22 18:34:04 beca Exp $
/*
File: ObjectPipe.java
Component: Plugin
Date            Author        Changes
Aug 05 98       Lukasz Beca   Created
*/

package webwisdom.tango.beans;

import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import java.applet.*;
import java.util.*;
import java.io.*;

public class ObjectPipe extends Pipe implements java.io.Serializable
{
    String[] recipients;

	public ObjectPipe()
	{
		super();
		recipients = null;

	}
	  

    public synchronized void addPipeDataListener(PipeDataListener tel) {
     
         data_listeners.addElement(tel);
        
    }

    public synchronized void removePipeDataListener(PipeDataListener tel) {

        data_listeners.removeElement(tel);
    }
         
    public void sendData(Object toTango) throws IOException, TangoBeansException {

        sendDataAsObject(toTango);
    }

    public void selectiveSendData(Object toTango) throws IOException, TangoBeansException {
        
        
     //   if (recipients == null) throw new NoRecipientsSelectedException();
        
//        if (recipients != null) {
            selectiveSendDataAsObject(recipients, toTango);   
  //      } else {
            
  //          System.out.println("ObjectPipe: no recipients selected");               
  //      }          
    }
    
    public void selectRecipients(String[] selected) throws TangoBeansException {
        
        recipients = selected;   
    }

    public void receiveData(Object fromTango) {

        PipeDataEvent tse;		
		tse = new PipeDataEvent(this, fromTango);        

        Vector targets;
	    synchronized (this) {
	       targets = (Vector) data_listeners.clone();
	    }		
	    for (int i = 0; i < targets.size(); i++) {
	        PipeDataListener target = (PipeDataListener)targets.elementAt(i);
	        target.dataArrived(tse);
	    }       
    }

    private Vector data_listeners = new Vector();

}