// $Id: CAConsts.java,v 1.3 1998/07/10 20:15:12 beca Exp $
//File:    CAConsts.java
//Component: Plugin
//Author:  Tomasz Jurga	
//Descr:   data for Control Application-applets protocol. More details: http://trurl.npac.syr.edu/~toju/Protocol.txt
//Date:    11/21/96
//Changes: no

package webwisdom.tango.consts;

public class CAConsts 
{ 
  // message type - first byte of the table
  public static final byte ISMASTER = 1;
  public static final byte USERNAME = 2;
  public static final byte MASTERNAME = 3;
  public static final byte HOSTNAME = 4;
  public static final byte PARTICIPANTS = 5;
  public static final byte ACTIVEUSERS = 6;
  public static final byte LOCALAPPS = 7;  

  // message answer - second byte of the table (only for ISMASTER query)
  public static final byte YES = 10;
  public static final byte NO = 11;

  //For VOD -  terminate application
  public static final byte TERMINATE = 12;

  //For inter-application communication within one host
  public static final byte DATAPASS = 8;

  //For Defcon applet
  public static final byte DEFCON_DATA = 50;
}





