package webwisdom.tango.fake;

import java.net.*;
import java.io.*;
import java.applet.Applet;
import webwisdom.tango.consts.*;
import webwisdom.tango.messages.*;
import webwisdom.tango.*;
import java.util.*;

public class TLAgentFake implements TLAgent
{

  Socket s;
  DataInputStream dis;
  DataOutputStream dos;
  Listener l;
  String username;
  boolean ismaster;
  String mastername="stefan";
  TLListener tl;
  boolean ok=false;

  public void add(TLListener tl)
    {
      this.tl=tl;
    }

  public TLAgentFake(String username,boolean ismaster,String host,int port)
    {
      this.tl=null;
      this.username=username;
      this.ismaster=ismaster;
      if(port<=255)
	port=5678;
      if (username==null)
	username="Jozef";
      try
	{
	  s=new Socket(host,port);
	  dis=new DataInputStream(s.getInputStream());
	  dos=new DataOutputStream(s.getOutputStream());
	  l=new Listener(this);
	  l.start();
	  ok=true;
	}
      catch (Exception e)
	{
	  e.printStackTrace();
	}
    }

  public void send(int i[],AppEventMessage m){}
  
  public void send(AppEventMessage em)
    {
      try
	{
	  if (em.getType()==Const.CONTROL)
	    {
	      tl.receive(new MyMsg(this,em.getData()[0]));
	    }
	  else if(ok)
	    {
	      int i=em.getLen();
	      byte[] b=em.getData();
	      dos.writeInt(i);
	      dos.write(b);
	    }
	}
      catch (Exception e)
	{
	  e.printStackTrace();
	}
    }

  public void exit()
    {
      try
	{
	  s.close();
	  l.stop();
	}
      catch (Exception e)
	{
	}
    }

  public DataInputStream getDIS()
    {
      return dis;
    }
}








