// $Id: PingMessage.java,v 1.4 1998/07/10 20:15:35 beca Exp $
/*
File: PingMessage.java
Component: Server, Plugin
Date		Author		Changes
Jan 22 98	Lukasz Beca	Created
*/


package webwisdom.tango.messages;


import webwisdom.tango.messages.Message;
import webwisdom.tango.consts.Const;
import java.io.*;


/**
 * A class representing message PING
 * 
 *@author Lukasz Beca
 *@see Central Server - Local Demon protocol
 **/
public class PingMessage extends Message
{
    private static final String CL="PingMessage";
  
    
    public PingMessage()
    {
      type = Const.PING;
    }


    void send(DataOutputStream outstream) throws IOException
    {
      // System.out.println("Sending type PING");
      outstream.writeInt(Const.PING);  
      outstream.flush();   
    }


    public String toString()
    {
      return CL+"[]";
    }// toString __________________________________________________________


}// PingMessage ///////////////////////////////////////////////////////////


