/****************************************************************************
  $Id: TangoMsgMaster.java,v 1.3 1998/07/22 17:17:30 toma Exp $
****************************************************************************/


package webwisdom.tango.msg;


import webwisdom.tango.TangoMsg;


/**TangoMsg carrying information about the master of the Tango session.*/
public class TangoMsgMaster extends TangoMsg
{
    private static final String CL="TangoMsgMaster";


    protected boolean isMaster;
    protected String masterName;


    public TangoMsgMaster()
    {
      type=MASTER;
    }// TangoMsgMaster _____________________________________________________


    public TangoMsgMaster(boolean m,String n)
    {
      isMaster=m;
      masterName=n;
    }// TangoMsgMaster _____________________________________________________


    public boolean isMaster()
    {
      return isMaster;
    }// isMaster ___________________________________________________________


    public String getMasterName()
    {
      return masterName;
    }// getMasterName ______________________________________________________


    public String toString()
    {
      return CL+"[isMaster="+isMaster+",masterName="+masterName+"]";
    }// toString ___________________________________________________________


}// TangoMsgMaster /////////////////////////////////////////////////////////


