/****************************************************************************
  $Id: TangoMsgUsers.java,v 1.2 1998/07/21 16:12:04 toma Exp $
****************************************************************************/


package webwisdom.tango.msg;


import webwisdom.tango.TangoMsg;


/**TangoMsg carrying information about the all Tango users.*/
public class TangoMsgUsers extends TangoMsg
{
    private static final String CL="TangoMsgUsers";


    protected String[] userNames;


    public TangoMsgUsers()
    {
      type=USERS;
    }// TangoMsgUsers ______________________________________________________


    public TangoMsgUsers(String[] n)
    {
      userNames=n;
    }// TangoMsgUsers ______________________________________________________


    public String[] getUserNames()
    {
      return userNames;
    }// getUserNames _______________________________________________________


    public String toString()
    {
      return CL+"[userNames="+webwisdom.tango.TangoAgent.arrayToString(userNames)+"]";
    }// toString ___________________________________________________________


}// TangoMsgUsers //////////////////////////////////////////////////////////


