// $Id: ApplicationProtocol.java,v 1.4 1998/07/10 20:15:42 beca Exp $
/*
File: ApplicationProtocol.java
Component: Plugin
Date		Author		Changes
Sept 07 96	Lukasz Beca	Created
*/


package webwisdom.tango.protocols;


import webwisdom.tango.messages.AppEventMessage;
import webwisdom.tango.messages.EventMessage;
import webwisdom.tango.structures.LocalApplications;
import webwisdom.tango.consts.Const;


public class ApplicationProtocol
{
    private static final String CL="ApplicationProtocol";


    protected LocalApplications lapps;
    protected int AID;
 

    public ApplicationProtocol(LocalApplications lpar)
    {
      lapps = lpar;
      AID = 0;
    }// ApplicationProtocol ________________________________________________
  

    public void initAID(int AIDpar)
    {
      AID=AIDpar;
    }// initAID ____________________________________________________________


    public void handleAPPEVENT(AppEventMessage m)
    {
      lapps.sendAppToOther(AID,m);
    }// handleAPPEVENT _____________________________________________________


}// ApplicationProtocol ////////////////////////////////////////////////////

