// $Id: ApplicationHandle.java,v 1.3 1998/07/10 20:15:47 beca Exp $
/*
File: ApplicationHandle.java
Component: Plugin
Date		Author		Changes		
Sept 06 96	Lukasz Beca	Created
*/


package webwisdom.tango.structures;

import webwisdom.tango.structures.Handle;
import webwisdom.tango.threads.AppThreadIn;
import webwisdom.tango.threads.AppThreadOut;
import webwisdom.tango.messages.Message;

public class ApplicationHandle implements Handle {

  private AppThreadIn in;
  private AppThreadOut out;

  public ApplicationHandle(AppThreadIn inpar, AppThreadOut outpar) {

    in = inpar;
    out = outpar;

  }

  public synchronized void sendLAToApp(Message m) { //to application
    
    out.putMessage(m);

  }

  public void setFocus() {

  }
  
  public synchronized void finish() {

 //   System.out.println("ApplicationHandle: terminating application ");
    in.stop();
 

  }

	

}
