// $Id: ComSession.java,v 1.3 1998/07/10 20:15:50 beca Exp $
/*
File: ComSession.java
Component: Server
Date		Author		Changes
Aug 22 96	Lukasz Beca	Created
Dec 02 96       Lukasz Beca     wait() removed from send()
Tested:

Notes:

*/

package webwisdom.tango.structures;

import java.util.*;
import webwisdom.tango.threads.ThreadOut;
import webwisdom.tango.messages.Message;
import webwisdom.tango.messages.EventMessage;


public class ComSession {  //information about session
 
	 
  Hashtable ThreadTable;

  public ComSession() {
       
    ThreadTable = new Hashtable();

  }

public void  addApplication(ThreadOut t, int a) { //t - index in thread table
  //a - AID

    Integer b;
  
    if (t == null) {
      System.out.println("ComSession: thread parameter invalid, cannot add");
    }
    else {
       b = new Integer(a);     
      
       if (!ThreadTable.containsKey(b)) {
	 
	 ThreadTable.put(b, t);
	
       }
       else
	System.out.println("ComSession: application already in session, cannot add"); 
    }          
  }

           
 
  public void removeApplication(int a) { //parameter - AID of application
   

   
    Integer b = new Integer(a);
      
      if (ThreadTable.containsKey(b)) {

	ThreadTable.remove(b);

      }
	
      else
	System.out.println("ComSession: application " + a + " does not exist, cannot remove");
  
 }
    
  public synchronized void send(Message a) {
    
    EventMessage event;
    EventMessage m = (EventMessage) a;
    byte data[] = m.getData();
    int AID = m.getAID();
    Integer AIDtmp;
    ThreadOut tmpout;
    Enumeration k;

    k = ThreadTable.keys();

    while(k.hasMoreElements()) {

      AIDtmp = (Integer) k.nextElement();

      if (AIDtmp.intValue() != AID) {

	event = new EventMessage(AIDtmp.intValue(), data);
	tmpout = (ThreadOut) ThreadTable.get(AIDtmp);
	tmpout.putMessage(event);
        
      }
    }
  }

  public void list() {

   Enumeration e;

   e = ThreadTable.keys();

   while(e.hasMoreElements()) {
            
       System.out.println("AID " + e.nextElement());
   } 
   
  }

  public Enumeration getApps() {

    return ThreadTable.keys(); 

  }

			  
}














