// $Id: Info.java,v 1.3 1998/07/10 20:15:59 beca Exp $
/*
File: Info.java
Component: Server
Date		Author		Changes
Aug 24 96	Lukasz Beca	Created
*/

package webwisdom.tango.test;

import java.lang.*;
import java.io.*;
import webwisdom.tango.threads.*;
import webwisdom.tango.structures.*;

public class Info {

  ComThread c;
  DbThread d;

  public Info(ComThread cpar, DbThread dpar) {

    c = cpar;
    d = dpar;
  }
  
public void listApplications() {

  Applications app = d.getApplications();
  Users usr = d.getUsers();
 // AppDetails appdet = d.getAppDetails();
  DbSessions dbs = d.getSessions();
 
  Integer tmp1, tmp2, tmp3;
  String name;
  String appname;
  int master;
  Boolean enabled;

  int i, index, type;

  System.out.println("APPLICATIONS");

  for(i = 0; i < app.AIDVector.size(); i ++) {


    tmp1 = (Integer) app.AIDVector.elementAt(i);
    tmp2 = (Integer) app.SIDVector.elementAt(i);
    tmp3 = (Integer) app.UIDVector.elementAt(i);
    enabled = (Boolean) app.Enabled.elementAt(i);
    name = usr.getName(tmp3.intValue());
    master = dbs.getMaster(tmp2.intValue());  
    type = dbs.getType(tmp2.intValue()); 
 
    System.out.print("AID: " + tmp1.intValue() + " SID: " + tmp2.intValue() + " user: " + name + " enabled: " + enabled);
    
    if (tmp3.intValue() == master) 
	 System.out.println(" master");
    else
	System.out.println("");

  }
}

}
