package java.awt;
import java.awt.event.*;
import java.util.*;

public class AppletEventQueue extends EventQueue
{
  public boolean suspended=false;
  public AppletEventQueue associatedQueue;
  public AppletEventQueue(AppletEventQueue eq)
    {
      associatedQueue=eq;
    }
  
  public void suspend()
    {
      //      System.out.println("Suspend : AppletEventQueue : "+this.hashCode());
      suspended=true;
    }
  public void resume()
    {
      //      System.out.println("Resume : AppletEventQueue : "+this.hashCode());
      suspended=false;
    }

  public void postEvent(AWTEvent theEvent)
    {
      if(suspended && !(theEvent instanceof PaintEvent) &&
	 !(theEvent instanceof WindowEvent))
	return;
      super.postEvent(theEvent);
    }
}
