/****************************************************************************
  $Id: TDataListener.java,v 1.5 1998/08/14 17:40:43 toma Exp $
****************************************************************************/


package webwisdom.tango;


/**Interface for passing private application data.*/
public interface TDataListener
{


  /**This function is called everytime the data is sent
     by any member of the session.
     The data arrives unchanged and in the same chunks as it was sent.
   *@param data the data sent by another member of the same session
   *@see TAgent#send
   *@see TAgent#selectiveSend*/
  public void receive(byte data[]);


}// TDataListener //////////////////////////////////////////////////////////

