// $Id: PipeConnectListener.java,v 1.3 1998/09/22 18:34:21 beca Exp $
/*
File: PipeConnectListener.java
Component: Plugin
Date            Author        Changes
Aug 05 98       Lukasz Beca   Created
*/

package webwisdom.tango.beans;

import webwisdom.tango.beans.PipeConnectEvent;

/*
Interface used in establishing connection between Tango bean and 
Pipe objects. Tango bean implements this interface and as a result 
it is a target for PipeConnectEvent. Pipe object is source of 
PipeConnectEvent. When Pipe object wants to be registered at Tango 
bean object it sends PipeConnectEvent to Tango bean.
*/

public interface PipeConnectListener extends java.util.EventListener{

    public void pipeReady(PipeConnectEvent pce);
  

}