/****************************************************************************
  $Id: AppletBase.java,v 1.9 1998/10/29 22:49:38 beca Exp $
****************************************************************************/


package webwisdom.tango.interfaces;


import java.applet.Applet;
import webwisdom.tango.messages.AppEventMessage;
import webwisdom.tango.messages.CAppRequestEventMessage;
import webwisdom.tango.TLAgentApplet;
import webwisdom.tango.TLListener;
import webwisdom.tango.TangoException;


/**
 *@deprecated use webwisdom.tango.TAgent*/
public abstract class AppletBase extends Applet implements TLListener
{
    private static final String CL="AppletBase";


    private TLAgentApplet agent;


    public void register()
    {
    
      System.out.println(CL + " is used");
      try
      {
	agent=new TLAgentApplet(this);
	agent.add(this);
      }
      catch(TangoException e)
      {
	System.err.println(CL+".register(): not in Tango!");
	//throw(new RuntimeException("not in Tango!"));
	return;
      }

      {
	byte[] tab=new byte[1];
	tab[0]=1;
	CAppRequestEventMessage mes=new CAppRequestEventMessage(tab);
	send(mes);
      }
    }// register ___________________________________________________________


    /**Sends message to other applets in session
       or to the control application (it depends on the type of message) 
       *@param m message
       *@see AppEventMessage*/
    public void send(AppEventMessage m)
    {
      agent.send(m);
    }// send _______________________________________________________________


//     public void send(int userlist[],AppEventMessage m)
//     {
//       if(h!=null) 
// 	h.sendAppToOther(userlist,m);
//     }// send _______________________________________________________________


    public void destroy()
    {
      System.out.println(CL+".destroy(), applet destroyed");
      if(agent!=null)
	agent.exit();
      super.destroy();
    }// destroy ____________________________________________________________


}// AppletBase /////////////////////////////////////////////////////////////

