/****************************************************************************
  $Id: TangoMsgParticipants.java,v 1.3 1998/07/22 17:17:30 toma Exp $
****************************************************************************/


package webwisdom.tango.msg;


import webwisdom.tango.TangoMsg;


/**TangoMsg carrying information about the participants of the Tango session.*/
public class TangoMsgParticipants extends TangoMsg
{
    private static final String CL="TangoMsgParticipants";


    protected String[] participantNames;


    public TangoMsgParticipants()
    {
      type=PARTICIPANTS;
    }// TangoMsgParticipants _______________________________________________


    public TangoMsgParticipants(String[] n)
    {
      participantNames=n;
    }// TangoMsgParticipants _______________________________________________


    public String[] getParticipantNames()
    {
      return participantNames;
    }// getParticipantNames ________________________________________________


    public String toString()
    {
      return CL+"[participantNames="+webwisdom.tango.TangoAgent.arrayToString(participantNames)+"]";
    }// toString ___________________________________________________________


}// TangoMsgParticipants ///////////////////////////////////////////////////


