/****************************************************************************
  $Id: TangoMsgSessions.java,v 1.2 1998/07/21 16:12:03 toma Exp $
****************************************************************************/


package webwisdom.tango.msg;


import webwisdom.tango.TangoMsg;


/**TangoMsg carrying information about the open Tango sessions.*/
public class TangoMsgSessions extends TangoMsg
{
    private static final String CL="TangoMsgSessions";


    protected String[] sessionNames;


    public TangoMsgSessions()
    {
      type=SESSIONS;
    }// TangoMsgSessions ___________________________________________________


    public TangoMsgSessions(String[] n)
    {
      sessionNames=n;
    }// TangoMsgSessions ___________________________________________________


    public String[] getSessionNames()
    {
      return sessionNames;
    }// getSessionNames ____________________________________________________


    public String toString()
    {
      return CL+"[sessionNames="+webwisdom.tango.TangoAgent.arrayToString(sessionNames)+"]";
    }// toString ___________________________________________________________


}// TangoMsgSessions ///////////////////////////////////////////////////////


