// $Id: FrameAppletHandle.java,v 1.2 1998/11/03 00:53:06 piotr Exp $
/*
File: FrameAppletHandle.java
Component: Plugin
Date		Author		Changes		
Oct 10 98	Lukasz Beca	Created
*/

package webwisdom.tango.structures;

import webwisdom.tango.structures.Handle;
import webwisdom.tango.interfaces.AppletBaseInterf;
import webwisdom.tango.messages.AppEventMessage;
import webwisdom.tango.messages.EmptyMessage;
import webwisdom.tango.messages.Message;
import webwisdom.tango.messages.EventMessage;
import webwisdom.tango.consts.Const;
import netscape.javascript.JSObject;
import webwisdom.tango.structures.LocalApplications;


public class FrameAppletHandle extends AppletHandle {

    private static final String CL="FrameAppletHandle";

    private String terminateURL; // url with content loaded after applet termination
 
    public FrameAppletHandle(AppletBaseInterf a,
			int AIDpar,LocalApplications localpar, String url)
    {
     
      super(a, AIDpar, localpar);
      terminateURL = url;
	  
    }// FrameAppletHandle _______________________________________________________
 
    //internal methods
    //private void caTermination();
 
    protected void caTermination()
    {
      //System.out.println(CL+".caTermination(): AID="+AID);
      
      JSObject win=(JSObject)app.getJSWindow();
      if(win==null)
      {
	      System.out.println(CL+".caTermination(): unable to get reference to window!");
	      return;
      }

      String name = (String) win.getMember("name");
      Object args[] = new Object[3];

      args[0] = terminateURL;
      args[1] = name; 
      args[2] = null; 

      System.out.println(CL + " ARGS: " + (String) args[0] + " " + (String) args[1]); 

      win.call("open", args);

	 
    }// caTermination ______________________________________________________
      
}// FrameAppletHandle ///////////////////////////////////////////////////////////

