// $Id: UserRegistry.java,v 1.1 1998/10/29 19:17:49 beca Exp $
/*
File: UserRegistry.java
Component: Server
Date		Author		Changes
Oct 26 96	Lukasz Beca	Created

*/
package webwisdom.tango.structures;


import java.lang.*;
import java.util.*;
import java.io.*;
import webwisdom.tango.threads.ThreadIn;

public class UserRegistry
{
    private static final String CL="UserRegistry";


    private Hashtable users;
    private Vector connected;
    
    public UserRegistry()
    {
     users = new Hashtable();
     connected = new Vector();    }

    public synchronized void connect(ThreadIn tin) {
    
    	connected.addElement(tin);
        System.out.println(CL + " user added to connected");
    
    }


    public synchronized void addUser(int UID, ThreadIn tin)
    {
      Integer a = new Integer(UID);
      connected.removeElement(tin);
      System.out.println(CL + " user removed from connected");

      users.put(a, tin);
      System.out.println(CL + " user added to users");	      
	  	  
    }


   public synchronized void removeUser(int UID, ThreadIn tin) {

    Integer tmp = new Integer(UID);
    Object tableResult;
    boolean vecResult;
    
    tableResult = users.remove(tmp);
    System.out.println(CL + " user removed from users " + tableResult);
    vecResult = connected.removeElement(tin);   
    System.out.println(CL + " user removed from connected " + vecResult);
 
   }
   
}// Users //////////////////////////////////////////////////////////////////

