// $Id: WindowAppletHandle.java,v 1.2 1998/11/03 00:53:06 piotr Exp $
/*
File: WindowAppletHandle.java
Component: Plugin
Date		Author		Changes		
Oct 13 98	Lukasz Beca	Created
*/

package webwisdom.tango.structures;

import java.awt.event.*;
import java.awt.*;

import webwisdom.tango.structures.Handle;
import webwisdom.tango.interfaces.AppletBaseInterf;
import webwisdom.tango.messages.AppEventMessage;
import webwisdom.tango.messages.EmptyMessage;
import webwisdom.tango.messages.Message;
import webwisdom.tango.messages.EventMessage;
import webwisdom.tango.consts.Const;
import netscape.javascript.JSObject;
import webwisdom.tango.structures.LocalApplications;


public class WindowAppletHandle extends AppletHandle {

    private static final String CL="WindowAppletHandle";
 
    public WindowAppletHandle(AppletBaseInterf a,
			int AIDpar,LocalApplications localpar)
    {
     super(a, AIDpar, localpar);
     
    }// AppletHandle _______________________________________________________


  protected void caTermination()
    {
      //System.out.println(CL+".caTermination(): AID="+AID);
      if(Const.inNetscape())
	{
	  JSObject win=(JSObject)app.getJSWindow();
	  if(win==null)
	    {
	      System.out.println(CL+".caTermination(): unable to get reference to window!");
	      return;
	    }

	  JSObject parent=(JSObject)win.getMember("top");
	  if(parent==null)
	    {
	      System.out.println(CL+".caTermination(): unable to get reference to \"top\"!");
	      return;
	    }
      
	  parent.eval("close();");
	}
      else
	{
	  Window w=(java.awt.Window)app.getJSWindow();
	  System.out.println("WINDOW:"+w.hashCode());
	  WindowEvent e=new WindowEvent(w,WindowEvent.WINDOW_CLOSING);
	  Toolkit.getDefaultToolkit().getSystemEventQueue().postEvent(e);
	}

   	 
    }// caTermination ______________________________________________________     

}// AppletHandle ///////////////////////////////////////////////////////////

